Summary:	Qt front-end to fluidsynth
Summary(pl.UTF-8):	Oparta o Qt nakładka na fluidsynth
Name:		qsynth
Version:	0.5.4
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://downloads.sourceforge.net/qsynth/%{name}-%{version}.tar.gz
# Source0-md5:	bf82058d2ddaff989f9d1dfc58016bab
Patch0:		%{name}-soundfont_dir.patch
Patch1:		desktop_install.patch
URL:		http://qsynth.sourceforge.net/qsynth-index.html
BuildRequires:	Qt5Core-devel >= 5.1.0
BuildRequires:	Qt5Gui-devel >= 5.1.0
BuildRequires:	Qt5Widgets-devel >= 5.1.0
BuildRequires:	Qt5X11Extras-devel >= 5.1.0
BuildRequires:	cmake >= 2.6
BuildRequires:	fluidsynth-devel >= 2.0.0
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qmake
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QSynth is a fluidsynth GUI front-end application.

%description -l pl.UTF-8
QSynth jest nakładką graficzną na fluidsynth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir -p build
cd build

%cmake \
	..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/appdata,%{_mandir}/man1}

cd build

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd ..

install -m 644 src/appdata/*.xml  $RPM_BUILD_ROOT%{_datadir}/appdata
install -m 644 qsynth.1 $RPM_BUILD_ROOT%{_mandir}/man1

%find_lang %{name} --with-qm --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/*.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/*.xml
%{_pixmapsdir}/qsynth.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%changelog
* Mon Jan 24 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qsynth.git;a=log;h=master

* Mon Jan 24 2022 Jan Rękorajski <baggins@pld-linux.org> d55b307
- Release 2 (by relup.sh)

* Thu Dec 06 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 9dcb87f
- Version: 0.5.4

* Sun Nov 25 2018 Jan Rękorajski <baggins@pld-linux.org> a07e700
- builds fine on x32
- rel 2

* Mon Nov 19 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 151e758
- Version: 0.5.3

* Fri Dec 11 2015 Jacek Konieczny <jajcus@jajcus.net> 52aeb0e
- Version: 0.4.0

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5207796
- release 4

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ed0cf8
- release 3

* Thu Nov 26 2009 Jacek Konieczny <jajcus@pld-linux.org> dc1d08b
- default soundfonts directory set to /usr/share/soundfonts
- Release: 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> a97350f
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Nov 20 2007 blekot <blekot@pld-linux.org> b31ec2a
- 0.2.6

* Wed Apr 11 2007 shadzik <shadzik@pld-linux.org> 7fce1c4
- qt-devel epoch (still 6)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 25ab6a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b9a6e15
- converted to UTF-8

* Mon May 22 2006 freetz <freetz@pld-linux.org> 1a21767
- 0.2.5, fixed build, removed obsolete DESTDIR patch

* Mon May 22 2006 freetz <freetz@pld-linux.org> 649b6ad
- obsoleted

* Sat Aug 06 2005 freetz <freetz@pld-linux.org> f21f5c1
- 0.2.3

* Mon Jul 11 2005 darekr <darekr@pld-linux.org> fbe12e8
- BR: sed 4; fixed URL

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 62b2fd0
- BR: qmake

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 7459ebd
- use x8664 macro

* Fri Nov 05 2004 ankry <ankry@pld-linux.org> 7a37589
- attempt to fix amd64, EA, rel. 3

